from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XUIElementFactoryRegistration(XInterface, Protocol):
    def getRegisteredFactories(self) -> list[list[PropertyValue]]: ...
    def getFactory(self, ResourceURL: str, ModuleIdentifier: str) -> XUIElementFactory: ...
